<?php

namespace App\ViewModels\Loja\LojaRegistrationViewModel;

use App\Utils\Builder;

class LojaRegistrationViewModelBuilder implements Builder {
	protected $id_unidade;
	protected $id_status;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;
	protected $data_alteracao;
	protected $hora_alteracao;

	public function build(): LojaRegistrationViewModel {

		$obj = new LojaRegistrationViewModel();

		$obj->setIdUnidade( $this->id_unidade );
		$obj->setIdStatus( $this->id_status );
		$obj->setCriadoPor( $this->criado_por );
		$obj->setDataCriacao( $this->data_criacao );
		$obj->setHoraCriacao( $this->hora_criacao );
		$obj->setDataAlteracao( $this->data_alteracao );
		$obj->setHoraAlteracao( $this->hora_alteracao );

		return $obj;

	}

	/**
	 *
	 * @param mixed $id_unidade
	 */
	public function setIdUnidade($id_unidade): LojaRegistrationViewModelBuilder {

		$this->id_unidade = $id_unidade;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_status
	 */
	public function setIdStatus($id_status): LojaRegistrationViewModelBuilder {

		$this->id_status = $id_status;
		return $this;

	}

	/**
	 *
	 * @param mixed $criado_por
	 */
	public function setCriadoPor($criado_por): LojaRegistrationViewModelBuilder {

		$this->criado_por = $criado_por;
		return $this;

	}

	/**
	 *
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao): LojaRegistrationViewModelBuilder {

		$this->data_criacao = $data_criacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao): LojaRegistrationViewModelBuilder {

		$this->hora_criacao = $hora_criacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $data_alteracao
	 */
	public function setDataAlteracao($data_alteracao): LojaRegistrationViewModelBuilder {

		$this->data_alteracao = $data_alteracao;
		return $this;

	}

	/**
	 *
	 * @param mixed $hora_alteracao
	 */
	public function setHoraAlteracao($hora_alteracao): LojaRegistrationViewModelBuilder {

		$this->hora_alteracao = $hora_alteracao;
		return $this;

	}

}

